%m018
%Aplica filtro de BORDES 
A=double(imread('cuad2.bmp'));
A=(A(:,:,1)+A(:,:,2)+A(:,:,3))/3;
[nf nc]=size(A);

subplot(1,2,1);
imshow(A,[]); %[] significa que ajusta automáticamente el mínimo y máximo

K=[0 -1 0 ;
   -1 4  -1 ;
   0  -1 0];

 
B=zeros(nf,nc);
%ojo sin bordes...
borde=1;
for f=1+borde:nf-borde
   for c=1+borde:nc-borde
    sum=0;
 	 for ff=-borde:borde
        for cc=-borde:borde
           sum=sum+A(f+ff,c+cc)*K(ff+borde+1,cc+borde+1);
        end;
     end;
     B(f,c)=sum;
   end;
end;

subplot(1,2,2);
%colormap(gray(256));image(B);
imshow(B,[]);% significa que ajusta automáticamente el mínimo y máximo

